require("splashlovelib/splashlovelib")

state = "splashlove"

function love.draw()
  if state == "splashlove" then
    splashlovelib.draw()
  end
end

function love.update(dt)
  if state == "splashlove" then
    splashlovelib.update(dt)
    if splashlovelib.done() then
      state = "notsplashlove"
    end
  end
end

function love.keypressed()
  if state == "splashlove" then
    splashlovelib.stop()
  else
    love.event.quit()
  end
end

function love.mousepressed()
  if state == "splashlove" then
    splashlovelib.stop()
  else
    love.event.quit()
  end
end
